package com.untzuntz.ustackclientapi;

import java.io.InputStream;


public class APIResponse {

	int code;
	String body;
	InputStream conn;
	
	public APIResponse(int code, String body) {
		this.code = code;
		this.body = body;
	}

	public APIResponse(int code, InputStream conn) {
		this.code = code;
		this.conn = conn;
	}
	

	public int getCode() {
		return code;
	}
	
	public String getBody() {
		return body;
	}

	public InputStream getConnection() {
		return conn;
	}
	
}
