package com.untzuntz.ustackclientapi.exceptions;

import java.io.IOException;

public class APIFileRetrieveException extends ClientSideException {

	private static final long serialVersionUID = 1L;
	private IOException ioErr;
	
	public APIFileRetrieveException(IOException ioErr) {
		super(ioErr.getMessage());
		this.ioErr = ioErr;
	}

	public IOException getIoErr() {
		return ioErr;
	}
	
}
