package com.untzuntz.ustackclientapi.exceptions;

import com.untzuntz.ustackclientapi.UStack.ParamTypeExcep;

public class APIParameterValueException extends APIException {

	private static final long serialVersionUID = 1L;
	private String type;
	private String paramTypeName;
	private String message;
	
	public APIParameterValueException(ParamTypeExcep pte) {
		super("");
		this.type = pte.getType();
		this.paramTypeName = pte.getParamTypeName();
		this.message = pte.getMessage();
	}
	
	public APIParameterValueException(String msg) {
		super(msg);
	}
	
	public APIParameterValueException() {
		super("");
	}

	public String getType() {
		return type;
	}

	public String getParamTypeName() {
		return paramTypeName;
	}

	public String getMessage() {
		return message;
	}
	
	

}
